Bug 846484 - [abrt] gitg-0.2.5-3.fc17: __GI___libc_free: Process /usr/bin/gitg was killed by signal 11 (SIGSEGV)
[abrt] gitg-0.2.5-3.fc17: __GI___libc_free: Process /usr/bin/gitg was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
abrt_hash:be418cf531850ffcf78ce291e6f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 18:04 EDT by Tim Zorn
Modified: 2013-07-31 20:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.58 KB, text/plain)
2012-08-07 18:04 EDT, Tim Zorn
no flags Details
File: backtrace (41.13 KB, text/plain)
2012-08-07 18:04 EDT, Tim Zorn
no flags Details
File: maps (35.21 KB, text/plain)
2012-08-07 18:04 EDT, Tim Zorn
no flags Details
File: dso_list (7.03 KB, text/plain)
2012-08-07 18:04 EDT, Tim Zorn
no flags Details

  None (edit)
Description Tim Zorn 2012-08-07 18:04:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gitg
comment:        I clicked commit (signoff was checked and there was a commit message)
crash_function: __GI___libc_free
executable:     /usr/bin/gitg
kernel:         3.4.6-2.fc17.x86_64
pid:            7085
pwd:            /home/systemdisc
remote_result:  795135
time:           Tue 07 Aug 2012 05:58:23 PM EDT
uid:            1000
username:       systemdisc

backtrace:      Text file, 42113 bytes
core_backtrace: Text file, 4687 bytes
dso_list:       Text file, 7202 bytes
maps:           Text file, 36057 bytes

build_ids:
:f534feded388130df4a9e789eec1e38c320bc55b
:f69712fe393313f44607679e934bf5a67f39ec50
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:77b40fcf451bdf2fa48474ac98f6ab31cb8f0b3b
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:87712be648d2d43ea4cd002fe7a859df636f1e13
:b277af36744327e3d58eae76bcdaadcca71a28c6
:954327309c29411402b23e323b28247d4547c047
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:ec87953f655fbcbcbe71b591db5451e56739576e
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:a1ba2bc316ac950764d3e8f371a959f2a9e26abf
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:e3354959e32e471066df83c93f98f33e75198697
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:0008a6c4028b3826f8905324c770e7aa450e5d3b
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:6ded09a8a2934ad01a2f5158d19e143a88c92f65
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:4c9c864a7c7b7ed702088955821d58137803462d
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc
:8f7c190397d7c1f617e66f18f759714662b60367
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/systemdisc/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=home
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/systemdisc/keyring-tRPiQg
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=systemdisc
:USERNAME=systemdisc
:MAIL=/var/spool/mail/systemdisc
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/systemdisc/.local/bin:/home/systemdisc/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/systemdisc
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=983
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/systemdisc
:SHLVL=1
:LOGNAME=systemdisc
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-h7jSHdwefO,guid=37ded8b0004abe8e7d5a592d0000001a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/systemdisc
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-systemdisc-4CsYdn/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/991,unix/unix:/tmp/.ICE-unix/991
:SSH_AUTH_SOCK=/run/user/systemdisc/keyring-tRPiQg/ssh
:GPG_AGENT_INFO=/run/user/systemdisc/keyring-tRPiQg/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gitg.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7085

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63156                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63156                63156                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/systemdisc/.xsession-errors
:pos:	14862
:flags:	0102002
:2:/home/systemdisc/.xsession-errors
:pos:	14862
:flags:	0102002
:3:socket:[35424]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[35429]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:socket:[35452]
:pos:	0
:flags:	02004002
:10:socket:[35431]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[41446]
:pos:	0
:flags:	02
:14:socket:[41447]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug  7 17:38:49 home yum[6842]: Installed: gitg-libs-0.2.5-3.fc17.x86_64
:Aug  7 17:38:50 home yum[6842]: Installed: gitg-0.2.5-3.fc17.x86_64
:Aug  7 17:58:23 home kernel: [ 1988.743876] gitg[7085]: segfault at 0 ip 000000380008017c sp 00007fff64b15db8 error 4 in libc-2.15.so[3800000000+1ac000]
:Aug  7 17:58:23 home abrt[14391]: Saved core dump of pid 7085 (/usr/bin/gitg) to /var/spool/abrt/ccpp-2012-08-07-17:58:23-7085 (54849536 bytes)
Comment 1 Tim Zorn 2012-08-07 18:04:52 EDT
Created attachment 602866 [details]
File: core_backtrace
Comment 2 Tim Zorn 2012-08-07 18:04:54 EDT
Created attachment 602867 [details]
File: backtrace
Comment 3 Tim Zorn 2012-08-07 18:04:57 EDT
Created attachment 602868 [details]
File: maps
Comment 4 Tim Zorn 2012-08-07 18:04:59 EDT
Created attachment 602869 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 18:46:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 20:52:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.